﻿@page
@model LoginModel

@{
    ViewData["Title"] = "Log in";
}

<div class="login-page">
    <div class="row">
        <div class="col-lg-4"></div>
        <div class="col-lg-4">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3>Login to Identity Server</h3><br />
                </div>
                <div class="panel-body">

                    <form asp-route="Login">
                        <input type="hidden" asp-for="ReturnUrl" />
                        <partial name="_ValidationSummary" />
                        <fieldset>
                            <div class="form-group">
                                <input class="form-control" placeholder="Email" asp-for="Input.Email" autofocus>
                                <span asp-validation-for="Input.Email" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <input type="password" class="form-control" placeholder="Password" asp-for="Input.Password" autocomplete="off">
                                <span asp-validation-for="Input.Password" class="text-danger"></span>
                            </div>
                            <div class="form-group login-remember">
                                <label asp-for="Input.RememberMe">
                                    <input asp-for="Input.RememberMe">
                                    Remember My Login
                                </label>
                                
                            </div>
                            <div class="form-group">
                                <a id="forgot-password" asp-page="./ForgotPassword">Forgot your password?</a><br />
                                <button class="btn btn-primary" name="button" value="login"><i class="fa fa-shield-alt"></i> Login</button>
                                <button class="btn btn-secondary" name="button" value="cancel"><i class="fa fa-times"></i> Cancel</button>

                            </div>
                        </fieldset>
                    </form>
                    @*@foreach (var provider in Model.ExternalLogins)
                    {
                        <a class="btn btn-primary float-right"
                           asp-controller="External"
                           asp-action="Challenge"
                           asp-route-provider="@provider.Name"
                           asp-route-returnUrl="@Model.ReturnUrl">
                            <i class="fab @($"fa-{provider.DisplayName.ToLower()}") "></i> Login with @provider.DisplayName
                        </a>
                    }*@
                </div>
            </div>
        </div>
        <div class="col-lg-4"></div>

    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
